edu.ucsb.nceas.metacat.oaipmh.harvester

## Class ListMetadataFormats

- java.lang.Object
- - edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb
  - - edu.ucsb.nceas.metacat.oaipmh.harvester.ListMetadataFormats

-     public class ListMetadataFormats
      extends HarvesterVerb

  This class represents an ListMetadataFormats response on either the server or on the client
  Author:
    Jeffrey A. Young, OCLC Online Computer Library Center

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb

      `SCHEMA_LOCATION_V2_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListMetadataFormats()` Mock object constructor (for unit testing purposes)
    `ListMetadataFormats(java.lang.String baseURL)` Client-side ListMetadataFormats verb constructor
    `ListMetadataFormats(java.lang.String baseURL, java.lang.String identifier)` Client-side ListMetadataFormats verb constructor (identifier version)

  - ### Method Summary

    - ### Methods inherited from class edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb

      `getDocument, getErrors, getNodeList, getRequestURL, getSchemaLocation, getSingleString, runVerb, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListMetadataFormats

          public ListMetadataFormats()

      Mock object constructor (for unit testing purposes)

    - #### ListMetadataFormats

          public ListMetadataFormats(java.lang.String baseURL)
                              throws java.io.IOException,
                                     javax.xml.parsers.ParserConfigurationException,
                                     org.xml.sax.SAXException,
                                     javax.xml.transform.TransformerException

      Client-side ListMetadataFormats verb constructor
      Parameters:
        `baseURL` - the baseURL of the server to be queried
      Throws:
        `MalformedURLException` - the baseURL is bad
        `org.xml.sax.SAXException` - the xml response is bad
        `java.io.IOException` - an I/O error occurred
        `javax.xml.parsers.ParserConfigurationException`
        `javax.xml.transform.TransformerException`

    - #### ListMetadataFormats

          public ListMetadataFormats(java.lang.String baseURL,
                                     java.lang.String identifier)
                              throws java.io.IOException,
                                     javax.xml.parsers.ParserConfigurationException,
                                     org.xml.sax.SAXException,
                                     javax.xml.transform.TransformerException

      Client-side ListMetadataFormats verb constructor (identifier version)
      Parameters:
        `baseURL` -
        `identifier` -
      Throws:
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `javax.xml.transform.TransformerException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.